<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package SKT Charm Lite
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="SKYPE_TOOLBAR" content="SKYPE_TOOLBAR_PARSER_COMPATIBLE">
<meta name="viewport" content="width=device-width">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<!--[if lt IE 9]>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/js/html5.js"></script>
<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/ie.css" type="text/css" media="all" />
<![endif]-->
<?php 
	wp_head(); 
	$themename = wp_get_theme();
	$themename = preg_replace("/\W/", "_", strtolower($themename) );
	if( !get_option( $themename ) ) {
	require get_template_directory() . '/index-default.php';
	exit;
	}
?>
</head>
<body <?php body_class(); ?>>
<div id="main">
 <div id="wrapper">
 
 <div class="header">
            <div class="header-top"> 

<div class="container">
          		
                <a href="#" class="toggleMenu" style="display:none;">Menu</a>              
                <div class="nav">
                    <?php wp_nav_menu( array('theme_location'  => 'primary') ); ?>
                </div><!-- sitenav -->  
           
                <div class="news-ticker">
                 <?php if( of_get_option('headsocial') != ''){ echo do_shortcode(of_get_option('headsocial', true));}; ?> 
                </div>
              
               <?php if( of_get_option( 'hidesearchbar' ) == '') { ?> 
                <div class="searchright">
                <form role="search" method="get" class="searchbox" action="<?php echo esc_url( home_url( '/' ) ); ?>">		
                <input type="search" class="searchbox-input" placeholder="<?php echo esc_attr_x( 'Search...', 'placeholder', 'skt-charm' ); ?>" value="<?php echo esc_attr( get_search_query() ); ?>" name="s" onKeyUp="buttonUp();">
                <input type="submit" class="" value="<?php echo esc_attr_x( '', 'submit button', 'skt-charm' ); ?>">
                <span class="searchbox-icon"><i class="fa fa-search"></i></span>
                </form>
              </div>
              <?php } ?>
        
              <div class="clear"></div>
 </div><!--end container-->
            </div><!--end header-top-->
            
            <div class="container">
           			<div class="logo">
                    	<a href="<?php echo home_url('/'); ?>">
                            <?php if( of_get_option( 'logo', true ) != '' ) { ; ?>
                               <img src="<?php echo esc_url( of_get_option( 'logo', true )); ?>" / >
                               <span class="tagline"><?php bloginfo( 'description' ); ?></span>
                            <?php } else { ?>
                                <h2><?php bloginfo('name'); ?></h2>
                                <span class="tagline"><?php bloginfo( 'description' ); ?></span>
                            <?php } ?>
                        </a>
 					</div>  
                    <div class="clear"></div>             
                </div>
 <div class="clear"></div>  
 </div><!--end header-->
