<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package SKT Charm Lite
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="SKYPE_TOOLBAR" content="SKYPE_TOOLBAR_PARSER_COMPATIBLE">
<meta name="viewport" content="width=device-width">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<!--[if lt IE 9]>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/js/html5.js"></script>
<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/ie.css" type="text/css" media="all" />
<![endif]-->
<?php 
	wp_head(); 
	$themename = wp_get_theme();
	$themename = preg_replace("/\W/", "_", strtolower($themename) );
	if( !get_option( $themename ) ) {
	require get_template_directory() . '/index-default.php';
	exit;
	}
?>
</head>
<body <?php body_class(); ?>>
<div id="main">
 <div id="wrapper">
 
 <div class="header">
            <div class="header-top"> 

<div class="container">
          		
                <a href="#" class="toggleMenu" style="display:none;">Menu</a>              
                <div class="nav">
                    <?php wp_nav_menu( array('theme_location'  => 'primary') ); ?>
                </div><!-- sitenav -->  
           
                <div class="news-ticker">
                 <?php if( of_get_option('headsocial') != ''){ echo do_shortcode(of_get_option('headsocial', true));}; ?> 
                </div>
              
               <?php if( of_get_option( 'hidesearchbar' ) == '') { ?> 
                <div class="searchright">
                <form role="search" method="get" class="searchbox" action="<?php echo esc_url( home_url( '/' ) ); ?>">		
                <input type="search" class="searchbox-input" placeholder="<?php echo esc_attr_x( 'Search...', 'placeholder', 'skt-charm' ); ?>" value="<?php echo esc_attr( get_search_query() ); ?>" name="s" onKeyUp="buttonUp();">
                <input type="submit" class="" value="<?php echo esc_attr_x( '', 'submit button', 'skt-charm' ); ?>">
                <span class="searchbox-icon"><i class="fa fa-search"></i></span>
                </form>
              </div>
              <?php } ?>
        
              <div class="clear"></div>
 </div><!--end container-->
            </div><!--end header-top-->
            
            <div class="container">
           			<div class="logo">
                    	<a href="<?php echo home_url('/'); ?>">
                            <?php if( of_get_option( 'logo', true ) != '' ) { ; ?>
                               <img src="<?php echo esc_url( of_get_option( 'logo', true )); ?>" / >
                               <span class="tagline"><?php bloginfo( 'description' ); ?></span>
                            <?php } else { ?>
                                <h2><?php bloginfo('name'); ?></h2>
                                <span class="tagline"><?php bloginfo( 'description' ); ?></span>
                            <?php } ?>
                        </a>
 					</div>  
                    <div class="clear"></div>             
                </div>
 <div class="clear"></div>  
 </div><!--end header-->

<?php if ( is_front_page() ) { ?>
<div class="slidearea"> 
<div class="carouFredSel slider">
	<?php
        $slAr = array();
        $m = 0;
        for ($i=1; $i<4; $i++) {
            if ( of_get_option('slide'.$i, true) != "" ) {
                $slidetitle	= of_get_option('slidetitle'.$i, true);
                $imgSrc 	= of_get_option('slide'.$i, true);
                $imglink	= of_get_option('slidelink'.$i, true);
                $slidebutton	= of_get_option('slidebutton'.$i, true);
                $slideurl	= of_get_option('slideurl'.$i, true);
                if ( strlen($imgSrc) > 3 ) {
                    $slAr[$m]['image_title'] = of_get_option('slidetitle'.$i, true);
                    $slAr[$m]['image_decription'] = of_get_option('slidedesc'.$i, true);
                    $slAr[$m]['image_src'] = of_get_option('slide'.$i, true);
                    $slAr[$m]['image_button'] = of_get_option('slidebutton'.$i, true);
                    $slAr[$m]['image_url'] = of_get_option('slidelink'.$i, true);
                    $slAr[$m]['image_slideurl'] = of_get_option('slideurl'.$i, true);
                    
                    $m++;
                }
            }
        }
    ?>
	<?php foreach( $slAr as $sln ){ ?>
    
     <div class="slider-wrapper">
        <img src="<?php echo esc_url($sln['image_src']); ?>" alt="" />
            <div class="slider-caption">
                <div class="slider-info">
                <?php if( $sln['image_title'] != '' ){ ?>                         
                    <h2 class="slider-title"><?php echo esc_attr($sln['image_title']); ?></h2>
                <?php } ?>	
                <?php if( $sln['image_decription'] != '' ){ ?>
                    <p class="slider-desc"><?php echo esc_attr($sln['image_decription']); ?></p>
                <?php } ?>  
                <?php if( $sln['image_button'] != '' ){ ?>
                    <a href="<?php echo esc_url($sln['image_slideurl']); ?>" class="slider-button"><?php echo esc_attr($sln['image_button']); ?></a>
                <?php } ?> 
                </div>
            </div>
        </div>
     <?php } ?>
</div>
</div>
<?php } else { ?> 
         <div class="innerbanner">                 
 			<?php
				 if( is_single() || is_archive() || is_category() || is_author()|| is_search() || is_home()) { 
					 echo '<img src="'.esc_url( of_get_option( 'innerpagebanner', true )).'" alt="">';
				 }
				 else{
					if( has_post_thumbnail() ) {
					$src = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'full' );
					$thumbnailSrc = $src[0];
					echo '<img src="'.$thumbnailSrc.'" />';
				   } 
				   else{
					echo '<img src="'.esc_url( of_get_option( 'innerpagebanner', true )).'" alt="">';   
				   }	 
				 }
		   ?>
        </div>
<?php } ?>   