<?php
/**
 * @package SKT Charm Lite
 * Setup the WordPress core custom functions feature.
 *
*/

define('SKT_THEME_DOC', 'https://sktthemesdemo.net/documentation/charm-doc/');
define('SKT_URL','https://www.sktthemes.org');
define('SKT_PRO_THEME_URL','https://www.sktthemes.org/shop/wordpress-blog-theme/');
define('SKT_LIVE_DEMO','https://sktthemesdemo.net/charm/');
define('SKT_THEMES','https://www.sktthemes.org/themes/');

/*Custom template for about theme. */
require get_template_directory() . '/inc/about-themes.php';

function my_error_notice() { ?>
<div class="error notice">
<p><?php _e('For More Options buy pro version <a href="https://www.sktthemes.org/shop/wordpress-blog-theme/" target="_blank">Buy Now</a>','complete');?></p>
</div>
<?php } add_action('admin_notices', 'my_error_notice');

add_action('skt_charm_optionsframework_custom_scripts', 'skt_charm_optionsframework_custom_scripts');
function skt_charm_optionsframework_custom_scripts() { ?>
	<script type="text/javascript">
    jQuery(document).ready(function() {
        jQuery('#example_showhidden').click(function() {
            jQuery('#section-example_text_hidden').fadeToggle(400);
        });
        if (jQuery('#example_showhidden:checked').val() !== undefined) {
            jQuery('#section-example_text_hidden').show();
        }        
    });
    </script><?php
}
// custom javascript for head
add_action('wp_head','hook_custom_javascript');
function hook_custom_javascript(){?>
	<script>
    jQuery(document).ready(function() {
        jQuery("#header-bottom-shape").click(function(){
            if ( jQuery( ".show_hide_header" ).is( ":hidden" ) ) {
                jQuery( ".show_hide_header" ).slideDown("slow");
            } else {
                jQuery( ".show_hide_header" ).slideUp("slow");
            }
            jQuery( this ).toggleClass('showDown');
        });
        jQuery( "#site-nav li:last" ).addClass("noBottomBorder");
        jQuery( "#site-nav li:parent" ).find('ul.sub-menu').parent().addClass("haschild");
    });
	</script><?php   
}
// get_the_content format text 
function get_the_content_format( $str ){
	$raw_content = apply_filters( 'the_content', $str );
	$content = str_replace( ']]>', ']]&gt;', $raw_content );
	return $content;
}
// the_content format text
function the_content_format( $str ){
	echo get_the_content_format( $str );
}
function is_google_font( $font ){
	$notGoogleFont = array( 'Arial', 'Comic Sans MS', 'FreeSans', 'Georgia', 'Lucida Sans Unicode', 'Palatino Linotype', 'Symbol', 'Tahoma', 'Trebuchet MS', 'Verdana' );
	if( in_array($font, $notGoogleFont) ){
		return false;
	}else{
		return true;
	}
}
// subhead section function
function sub_head_section( $more ) {
	$pgs = 0;
	do {
		$pgs++;
	} while ($more > $pgs);
	return $pgs;
}
//[clear]
function clear_func() {
	$clr = '<div class="clear"></div>';
	return $clr;
}
add_shortcode( 'clear', 'clear_func' );
//[separator height="20"]
function separator_shortcode_func($atts ) {
	extract( shortcode_atts( array(
		'height' => '50',
	), $atts ) );
	$sptr = '<div style="clear:both; min-height:20px; height:'.$height.'px; background:url('.get_template_directory_uri().'/images/hr_double.png) no-repeat center center transparent;"></div>';
	return $sptr;
}
add_shortcode( 'separator', 'separator_shortcode_func' );

//[column_content]Your content here...[/column_content]
function column_content_func( $atts, $content = null ) {
	extract( shortcode_atts( array(
		'type' => '',
	), $atts ) );
	$colPos = strpos($type, '_last');
	if($colPos === false){
		$cnt = '<div class="'.$type.'">'.do_shortcode($content).'</div>';
	}else{
		$type = substr($type,0,$colPos);
		$cnt = '<div class="'.$type.' last_column">'.do_shortcode($content).'</div>';
	}
	return $cnt;
}
add_shortcode( 'column_content', 'column_content_func' );

//[hr]
function hrule_func() {
	$hrule = '<div class="clear hrule"></div>';
	return $hrule;
}
add_shortcode( 'hr', 'hrule_func' );

//[hr_top]
function hr_top_func() {
	$hr_top = '<div class="clear linktotop"><a title="Top of Page" href="#top">Back to Top</a></div><div class="clear hrule"></div>';
	return $hr_top;
}
add_shortcode( 'hr_top', 'hr_top_func' );

// [searchform]
function searchform_shortcode_func( $atts ){
	return get_search_form( false );
}
add_shortcode( 'searchform', 'searchform_shortcode_func' );
// accordion
function accordion_func( $atts, $content = null ) {
	$acc = '<div style="margin-top:35px;">'.get_the_content_format( do_shortcode($content) ).'<div class="clear"></div></div>';
	return $acc;
}
add_shortcode( 'accordion', 'accordion_func' );
function accordion_content_func( $atts, $content = null ) {
	extract( shortcode_atts( array(
		'title' => 'Accordion Title',
	), $atts ) );
	$content = wpautop(trim($content));
	$acn = '<div class="accordion-box"><h2>'.$title.'</h2>
			<div class="acc-content">'.$content.'</div><div class="clear"></div></div>';
	return $acn;
}
add_shortcode( 'accordion_content', 'accordion_content_func' );

// remove excerpt more
function new_excerpt_more( $more ) {
	return '... ';
}
add_filter('excerpt_more', 'new_excerpt_more');
// get post categories function
function getPostCategories(){
	$categories = get_the_category();
	$catOut = '';
	$separator = ', ';
	$catOutput = '';
	if($categories){
		foreach($categories as $category) {
			$catOutput .= '<a href="'.get_category_link( $category->term_id ).'" title="' . esc_attr( sprintf( __( "View all posts in %s", 'skt-charm' ), $category->name ) ) . '">'.$category->cat_name.'</a>'.$separator;
		}
		$catOut = ''.trim($catOutput, $separator);
	}
	return $catOut;
}
// replace last occurance of a string.
function str_lreplace($search, $replace, $subject){
	$pos = strrpos($subject, $search);
	if($pos !== false){
		$subject = substr_replace($subject, $replace, $pos, strlen($search));
	}
	return $subject;
}

//Social
function skt_charm_social_area($atts,$content = null){
		return '<div class="social-icon">'.do_shortcode($content).'<div class="clear"></div></div>';
	}
add_shortcode('social_area','skt_charm_social_area');

function skt_charm_social($atts){
	extract(shortcode_atts(array(
		'icon'	=> '',
		'link'	=> ''
	),$atts));
		return '<a href="'.$link.'" target="_blank" class="fa fa-'.$icon.' fa-2x" title="'.$icon.'"></a>';
}
add_shortcode('social','skt_charm_social');
// Social

function custom_excerpt_length( $length ) {
	return 90;
}
add_filter( 'excerpt_length', 'custom_excerpt_length', 999 );

//[area-seprater]#[/area-seprater]
function row_func_area($atts,$content = null){
		return '<div class="row-width">'.do_shortcode($content).'<div class="clear"></div></div>';
	}
add_shortcode('area-seprater','row_func_area');

//	Sidebar Shortcode[left_content]#[/content_area]
function left_content_area($atts,$content = null){
		return '<div class="contentLeftarea">'.do_shortcode($content).'</div>';
	}
add_shortcode('left_content','left_content_area');

//	Sidebar Shortcode[sidebar_area]#[/sidebar_area]
function sidebar_area($atts,$content = null){
		return '<div class="homesidebar">'.do_shortcode($content).'</div>';
	}
add_shortcode('sidebar_area','sidebar_area');

// [featuredcatpost catname="Fashion" showcatposts="1" cattitle="" titlecolor="#111f00" cattitlecolor="#ff0000"]
function featured_categoryposts_func( $atts ) {
  extract( shortcode_atts( array(
		'showcatposts' => '',
		'catname' => '',	
		'showcatposts' => '',
		'cattitle' => '',	
		'titlecolor' => '',
		'cattitlecolor' => '',	
		'hoverbgcolor' => '',			
	), $atts ) );
	$bposts = '';		
	$args = array( 'category_name' => $catname, 'posts_per_page' => $showcatposts, 'post__not_in' => get_option('sticky_posts'), 'orderby' => 'date', 'order' => 'desc' );
	query_posts( $args );
	$n = 0;
	if ( have_posts() ) {
		while ( have_posts() ) { 
			$n++;
			the_post();
			$bposts .= '<div class="featuredcatpost">';
			$bposts .= '<div class="featuredcatpost-thumb" style="background-color:'.$hoverbgcolor.';"><a href="'.get_permalink().'" title="'.get_the_title().'">'.get_the_post_thumbnail().'</a></div>';
			$bposts .= ''.( ($cattitle!='') ? '<div class="catname" style="color:'.$cattitlecolor.';">'.$catname.'</div>' : '' ).'';
			$bposts .= '<a href="'.get_permalink().'" title="'.get_the_title().'" 
			class="catposttitle" style="color:'.$titlecolor.';">'.get_the_title().'</a>';
			$bposts .= '</div>';
		}
	}else{
		$bposts .= ' Sorry! No post here ';
	}
	wp_reset_query();
	$bposts .= '';
    return $bposts;
}
add_shortcode( 'featuredcatpost', 'featured_categoryposts_func' );
//Function end


// [largfullpost catname="Fashion" showposts="1" cattitle="" titlecolor="" cattitlecolor=""]
function largfullpost_func( $atts ) {
  extract( shortcode_atts( array(
		'catname' => '',
		'showposts' => '',	
		'excerptlength' => '',
		'readmore' => '',
	), $atts ) );
	$bposts = '';		
	$args = array( 'category_name' => $catname, 'posts_per_page' => $showposts, 'post__not_in' => get_option('sticky_posts'), 'orderby' => 'date', 'order' => 'desc' );
	query_posts( $args );
	$n = 0;
	if ( have_posts() ) {
		while ( have_posts() ) { 
			$n++;
			the_post();
			$bposts .= '<div class="largfullpost">';
			$bposts .= '<a href="'.get_permalink().'" title="'.get_the_title().'">'.get_the_post_thumbnail().'</a>';
			$bposts .= '<span class="spancentertitle">'.getPostCategories().' | '.get_the_date().'</span> ';
			$bposts .= '<a href="'.get_permalink().'" title="'.get_the_title().'"><h3>'.get_the_title().'</h3></a>';
			$bposts .= '<div class="large-post-content"><p>'.wp_trim_words( get_the_content(), $excerptlength, '' ).'</p></div>';
			$bposts .= '<div class="PostMeta">';
			$bposts .= '<span class="spanleft">Posted By: <a href="'.get_author_posts_url( get_the_author_meta( 'ID' ) ).'">'.get_the_author().'</a></span>';
			$bposts .= ''.( ($readmore!='') ? '<a href="'.get_the_permalink().'"><span class="spancenter">'.$readmore.'</span></a>' : '' ).'';
			$bposts .= '<span class="spanright"><a href="'.get_comments_link().'">'.get_comments_number().' Comments</a></span> ';            $bposts .= '</div>';
			$bposts .= '</div>';
		}
	}else{
		$bposts .= '<div class="largfullpost"><a href="#"><img src="'.get_template_directory_uri().'/images/largfullpost.jpg" alt=""></a><span class="spancentertitle"><a title="View all posts in FullPost" href="#">FullPost</a> | September 27, 2016</span><a href="#"><h3>Women in the balcony</h3></a><div class="large-post-content"><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec ut massa sit amet tellus sodales sodales quis ac leo. Mauris eu sodales lectus. Morbi consectetur velit in velit venenatis luctus. Curabitur feugiat porta neque vestibulum varius. Vestibulum id tortor ac libero mollis auctor ut sit amet velit. Vivamus gravida rhoncus diam gravida fermentum. Etiam pellentesque et enim ac dictum. Vivamus viverra varius quam, venenatis tempor lectus congue sed. Aenean nisl neque, pellentesque eget auctor sed, porttitor eu arcu.</p></div><div class="PostMeta"><span class="spanleft">Posted By: <a href="#">Admin</a></span><a href="#"><span class="spancenter">Keep Reading</span></a><span class="spanright"><a href="#">0 Comments</a></span></div></div>';
	}
	wp_reset_query();
	$bposts .= '';
    return $bposts;
}
add_shortcode( 'largfullpost', 'largfullpost_func' );
//Single Larg Full Post End

//About Author [aboutauthor abouttitle="" aboutdesc="" aboutread="" aboutreadlink="#" target="self" titlecolor="#373636" titlebdcolor="#ebebeb" titlebdbotcolor="#f785ad" ]<img src="" />[/aboutauthor]
function about_charm_area($atts, $content = null){
 extract(shortcode_atts(array(
			'abouttitle' => 'title',
			'aboutdesc'  => '',
			'aboutread'  => '',
			'aboutreadlink'  => '',
			'target'  => '',
			'titlecolor'  => '',
			'titlebdcolor'  => '',
			'titlebdbotcolor'  => '',
		 ), $atts ) );
		return '
		<div class="aboutauthor">
			'.( ($abouttitle!='') ? '<div class="abouttitle" style="color:'.$titlecolor.'; border-color:'.$titlebdcolor.' '.$titlebdcolor.' '.$titlebdbotcolor.' '.$titlebdcolor.';">'.$abouttitle.'</div>' : '' ).'
			'.( ($content!='') ? '<div class="aboutimage">'.do_shortcode($content).'</div>' : '' ).'
			'.( ($aboutdesc!='') ? '<div class="aboutdesc">'.$aboutdesc.'</div>' : '' ).'
			'.( ($aboutread!='') ? '<a href="'.$aboutreadlink.'" target="_'.$target.'"><div class="aboutread">'.$aboutread.'</div></a>' : '' ).'
		</div>
';
}
add_shortcode('aboutauthor','about_charm_area');
// About Author End

// [popularcat catname="Fashion"]<img src="#" />[/popularcat]
function popularcat_func( $atts, $content ) {
  extract( shortcode_atts( array(
		'catname' => '',
		'catid' => '',
		'buttonbgcolor' => '',
	), $atts ) );
	$popularcat = '';		
	$args = array( 'category_name' => $catname, 'cat' => $catid );
	query_posts( $args );
	if ( have_posts() ) {
			the_post();
			$popularcat .= '<div class="popularcatname">';
			$popularcat .= ''.$content.'';
			$popularcat .= '<div class="catnamecenter" style="background:'.$buttonbgcolor.';">'.getPostCategories().'</div>';
			$popularcat .= '</div>';
		}
	wp_reset_query();
    return $popularcat;
}
add_shortcode( 'popularcat', 'popularcat_func' );
//Function end


 
// [readmore align="center" button="View All" links="#" target="self"]
function readmore_func( $atts) {
	extract(shortcode_atts(array(	
	'button'	=> '',	
	'links'		=> '',
	'align'		=> '',
	'target'	=> '',						
	), $atts));
	$rrow = '<div class="view-all-btn" style="text-align:'.$align.'"><a href="'.$links.'" '.( ($target!='') ? 'target=_'.$target.'' : '' ).'>'.$button.'</a></div>';
    return $rrow;
}
add_shortcode( 'readmore', 'readmore_func' );

// Sidebar Post [sidebarpost catname="Fashion" showposts="1" cattitle="" titlecolor="" cattitlecolor=""]
function sidebarpost_func( $atts ) {
  extract( shortcode_atts( array(
		'catname' => '',
		'showposts' => '',	
		'sidecontlength' => '',
		'readmore' => '',
	), $atts ) );
	$sidebarposts = '';		
	$args = array( 'category_name' => $catname, 'posts_per_page' => $showposts, 'post__not_in' => get_option('sticky_posts'), 'orderby' => 'date', 'order' => 'desc' );
	query_posts( $args );
	$n = 0;
	if ( have_posts() ) {
		while ( have_posts() ) { 
			$n++;
			the_post();
			$sidebarposts .= '<div class="sidebarpost">';
			if ( has_post_thumbnail()) {
			$sidebarposts .= '<div class="sidepost_thumb"><a href="'.get_permalink().'" title="'.get_the_title().'">'.get_the_post_thumbnail().'</a></div>';
			}
			$sidebarposts .= '<span class="spancentertitle">'.getPostCategories().' | '.get_the_date().'</span> ';
			$sidebarposts .= '<a href="'.get_permalink().'" title="'.get_the_title().'"><strong>'.get_the_title().'</strong></a>';
			$sidebarposts .= '<div class="side-post-content"><p>'.wp_trim_words( get_the_content(), $sidecontlength, '' ).'</p></div>';
			$sidebarposts .= '</div>';
			$sidebarposts .= ''.(($n%1==0) ? '<div class="clear"></div>' : '');	
		}
	}else{
		$sidebarposts .= '
<div class="sidebarpost">
	<div class="sidepost_thumb"><a href="#"><img src="'.get_template_directory_uri().'/images/postthumb6.jpg" alt=""></a></div>
	<span class="spancentertitle"><a title="View all posts in FullPost" href="#">FullPost</a> | September 27, 2016</span>
	<a href="#"><h3>Hotel costa rica</h3></a>
	<div class="large-post-content">
	<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec ut massa sit amet tellus sodales sodales quis ac leo. Mauris eu sodales lectus. Morbi consectetur velit in velit venenatis luctus.</p>
	</div>	
</div>
';
	}
	wp_reset_query();
    return $sidebarposts;
}
add_shortcode( 'sidebarpost', 'sidebarpost_func' );
//Sidebar Post End


/*
 * Set post views count using post meta
 */
function setPostViews($postID) {
    $countKey = 'post_views_count';
    $count = get_post_meta($postID, $countKey, true);
    if($count==''){
        $count = 0;
        delete_post_meta($postID, $countKey);
        add_post_meta($postID, $countKey, '0');
    }else{
        $count++;
        update_post_meta($postID, $countKey, $count);
    }
}


// Popular Post [popular_post catname="" showposts="3" cattitle="" titlecolor="" cattitlecolor=""]
function popular_func( $atts ) {
  extract( shortcode_atts( array(
 
		'showposts' => '',	
		'popucontlength' => '',
	), $atts ) );
	$popularposts = '';	
	$n = 0;	
query_posts('meta_key=post_views_count&orderby=meta_value_num&order=DESC&posts_per_page='.$showposts);
 	if ( have_posts() ) {
		while ( have_posts() ) { 
			$n++;
			the_post();
			$popularposts .= '<div class="sidebarpost">';
			if ( has_post_thumbnail()) {
			$popularposts .= '<div class="sidepost_thumb"><a href="'.get_permalink().'" title="'.get_the_title().'">'.get_the_post_thumbnail().'</a></div>';
			}
			$popularposts .= '<span class="spancentertitle">'.getPostCategories().' | '.get_the_date().'</span> ';
			$popularposts .= '<a href="'.get_permalink().'" title="'.get_the_title().'"><strong>'.get_the_title().'</strong></a>';
			$popularposts .= '<div class="side-post-content"><p>'.wp_trim_words( get_the_content(), $popucontlength, '' ).'</p></div>';
			$popularposts .= '</div>';
			$popularposts .= ''.(($n%1==0) ? '<div class="clear"></div>' : '');	
		}
	}else{
		$popularposts .= '
<div class="sidebarpost">
	<div class="sidepost_thumb"><a href="#"><img src="'.get_template_directory_uri().'/images/postthumb6.jpg" alt=""></a></div>
	<span class="spancentertitle"><a title="View all posts in FullPost" href="#">FullPost</a> | September 27, 2016</span>
	<a href="#"><h3>Hotel costa rica</h3></a>
	<div class="large-post-content">
	<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec ut massa sit amet tellus sodales sodales quis ac leo. Mauris eu sodales lectus. Morbi consectetur velit in velit venenatis luctus.</p>
	</div>	
</div>
';
	}
	wp_reset_query();
    return $popularposts;
}
add_shortcode( 'popular_post', 'popular_func' );
//popular_post Post End